#ifndef KFONT_H
#define KFONT_H

#include <stdint.h>

typedef struct {
    uint8_t magic[2];
    uint8_t mode;
    uint8_t charsz;
} psf_hdr_t;

typedef struct {
    psf_hdr_t* hdr;
    void* glyphs;
} psf_font_t;

psf_font_t* load_font(const char* path);
void free_font(psf_font_t* font);

#endif